Skip to main content
GET
/
v1
/
nominations
/
bulk
Bulk get nominations
curl --request GET \
  --url https://api.otark.energy/v1/nominations/bulk \
  --header 'X-Api-Key: <api-key>'
{
  "nominations": [
    {
      "id": "nom_t4u5v6w7x8",
      "status": "match",
      "version": 1,
      "gate_closure": "2026-01-14T14:30:00Z",
      "direction": "out",
      "eic": "11YWINDPARKNO--A",
      "tso": "TenneT",
      "counterparty": {
        "name": "Otark",
        "eic": "11YOTARK------Z"
      },
      "slots": [
        {
          "delivery_start": "2026-01-15T14:00:00Z",
          "delivery_end": "2026-01-15T14:15:00Z",
          "slot_number": 57,
          "amount": 12.5,
          "matched_amount": 12.5
        }
      ],
      "created_at": "2026-01-14T14:30:00Z",
      "previous_nomination_id": null,
      "confirmed_at": "2026-01-14T15:00:00Z",
      "sent_at": "2026-01-14T14:35:00Z"
    }
  ]
}

Authorizations

X-Api-Key
string
header
required

Query Parameters

ids
string
required

Comma-separated list of nomination IDs (max 100)

Example:

"nom_t4u5v6w7x8,nom_q1r2s3t4u5"

Response

Nominations list

nominations
object[]
required

List of nominations (non-existent or inaccessible IDs are silently omitted)